Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76747 - rpm erase removes dependencies in wrong order
Summary: rpm erase removes dependencies in wrong order
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 18:50 UTC by Nick
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-25 18:50:42 UTC


Attachments (Terms of Use)

Description Nick 2002-10-25 18:50:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
package1 is installed, and has no dpenedencies.
package2 requires package1 be installed, and gets installed.

When running the command "rpm -e package2 package1" , 
package 1 is removed first, even though package2 requires package1.

Sidenote: when running the command "rpm -e package1 package2" rpm's are erased
in correct order.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
This example uses the ucd-snmp packages (packages that require ucd-snmp are NOT
installed (ex. kernel-utils)). 

1. If ucd-snmp and ucd-snmp-devel are not installed, install them.
2. Run the command "rpm -e -vv ucd-snmp-devel ucd-snmp"

	

Actual Results:  # rpm -e -vv ucd-snmp-devel ucd-snmp                          
                                          
D: opening  db environment /var/lib/rpm/Packages create:mpool
D: opening  db index       /var/lib/rpm/Packages  mode=0x82
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name  mode=0x82
D: ========== --- ucd-snmp-4.2.5-7.73.0
D: opening  db index       /var/lib/rpm/Requirename  mode=0x82
D: ========== --- ucd-snmp-devel-4.2.5-7.73.0
D: opening  db index       /var/lib/rpm/Basenames  mode=0x82
D:     erase: ucd-snmp-4.2.5-7.73.0 has 104 files, test = 0
D: opening  db index       /var/lib/rpm/Triggername  mode=0x82
D:     erase: running %preun script(s) (if any)
+ '[' 0 = 0 ']'
+ service snmpd stop
+ /sbin/chkconfig --del snmpd
+ service snmptrapd stop
+ /sbin/chkconfig --del snmptrapd
+ rm -f /usr/share/snmp/mibs/.index
D: fini      100644  1 (   0,   0)       888
/usr/share/snmp/snmpconf/snmptrapd.conf/traphandle 
D: fini      100644  1 (   0,   0)       652
/usr/share/snmp/snmpconf/snmptrapd.conf/formatting 
D: fini      040755  2 (   0,   0)      4096
/usr/share/snmp/snmpconf/snmptrapd.conf 
D: fini      100644  1 (   0,   0)      1751
/usr/share/snmp/snmpconf/snmpd.conf/trapsinks 
D: fini      100644  1 (   0,   0)      1222
/usr/share/snmp/snmpconf/snmpd.conf/system 
D: fini      100644  1 (   0,   0)      1311
/usr/share/snmp/snmpconf/snmpd.conf/operation 
D: fini      100644  1 (   0,   0)      3227
/usr/share/snmp/snmpconf/snmpd.conf/monitor 
D: fini      100644  1 (   0,   0)      2758
/usr/share/snmp/snmpconf/snmpd.conf/extending 
D: fini      100644  1 (   0,   0)      1013
/usr/share/snmp/snmpconf/snmpd.conf/basic_setup 
D: fini      100644  1 (   0,   0)      1628
/usr/share/snmp/snmpconf/snmpd.conf/acl 
D: fini      040755  2 (   0,   0)      4096 /usr/share/snmp/snmpconf/snmpd.conf 
D: fini      100644  1 (   0,   0)      3023
/usr/share/snmp/snmpconf/snmp.conf/output 
D: fini      100644  1 (   0,   0)      2207
/usr/share/snmp/snmpconf/snmp.conf/mibs 
D: fini      100644  1 (   0,   0)      1651
/usr/share/snmp/snmpconf/snmp.conf/debugging 
D: fini      100644  1 (   0,   0)      2786
/usr/share/snmp/snmpconf/snmp.conf/authopts 
D: fini      040755  2 (   0,   0)      4096 /usr/share/snmp/snmpconf/snmp.conf 
D: fini      040755  2 (   0,   0)      4096 /usr/share/snmp/snmpconf 
D: fini      100644  1 (   0,   0)      4076 /usr/share/snmp/mibs/UDP-MIB.txt 
D: fini      100644  1 (   0,   0)     33906 /usr/share/snmp/mibs/UCD-SNMP-MIB.txt 
D: fini      100644  1 (   0,   0)      8118
/usr/share/snmp/mibs/UCD-IPFWACC-MIB.txt 
D: fini      100644  1 (   0,   0)      3010 /usr/share/snmp/mibs/UCD-DLMOD-MIB.txt 
D: fini      100644  1 (   0,   0)      3198
/usr/share/snmp/mibs/UCD-DISKIO-MIB.txt 
D: fini      100644  1 (   0,   0)      2163 /usr/share/snmp/mibs/UCD-DEMO-MIB.txt 
D: fini      100644  1 (   0,   0)     10765 /usr/share/snmp/mibs/TCP-MIB.txt 
D: fini      100644  1 (   0,   0)      3981 /usr/share/snmp/mibs/SNMPv2-TM.txt 
D: fini      100644  1 (   0,   0)     38034 /usr/share/snmp/mibs/SNMPv2-TC.txt 
D: fini      100644  1 (   0,   0)      8924 /usr/share/snmp/mibs/SNMPv2-SMI.txt 
D: fini      100644  1 (   0,   0)     25052 /usr/share/snmp/mibs/SNMPv2-MIB.txt 
D: fini      100644  1 (   0,   0)      8263 /usr/share/snmp/mibs/SNMPv2-CONF.txt 
D: fini      100644  1 (   0,   0)     33430
/usr/share/snmp/mibs/SNMP-VIEW-BASED-ACM-MIB.txt 
D: fini      100644  1 (   0,   0)     38035
/usr/share/snmp/mibs/SNMP-USER-BASED-SM-MIB.txt 
D: fini      100644  1 (   0,   0)     21495
/usr/share/snmp/mibs/SNMP-TARGET-MIB.txt 
D: fini      100644  1 (   0,   0)      8434
/usr/share/snmp/mibs/SNMP-PROXY-MIB.txt 
D: fini      100644  1 (   0,   0)     19083
/usr/share/snmp/mibs/SNMP-NOTIFICATION-MIB.txt 
D: fini      100644  1 (   0,   0)      5261 /usr/share/snmp/mibs/SNMP-MPD-MIB.txt 
D: fini      100644  1 (   0,   0)     20750
/usr/share/snmp/mibs/SNMP-FRAMEWORK-MIB.txt 
D: fini      100644  1 (   0,   0)     15490
/usr/share/snmp/mibs/SNMP-COMMUNITY-MIB.txt 
D: fini      100644  1 (   0,   0)      4628 /usr/share/snmp/mibs/SMUX-MIB.txt 
D: fini      100644  1 (   0,   0)    147822 /usr/share/snmp/mibs/RMON-MIB.txt 
D: fini      100644  1 (   0,   0)     79667 /usr/share/snmp/mibs/RFC1213-MIB.txt 
D: fini      100644  1 (   0,   0)      3067 /usr/share/snmp/mibs/RFC1155-SMI.txt 
D: fini      100644  1 (   0,   0)      1174 /usr/share/snmp/mibs/RFC-1215.txt 
D: fini      100644  1 (   0,   0)      4400 /usr/share/snmp/mibs/IPV6-UDP-MIB.txt 
D: fini      100644  1 (   0,   0)      7257 /usr/share/snmp/mibs/IPV6-TCP-MIB.txt 
D: fini      100644  1 (   0,   0)      2367 /usr/share/snmp/mibs/IPV6-TC.txt 
D: fini      100644  1 (   0,   0)     48703 /usr/share/snmp/mibs/IPV6-MIB.txt 
D: fini      100644  1 (   0,   0)     15936 /usr/share/snmp/mibs/IPV6-ICMP-MIB.txt 
D: fini      100644  1 (   0,   0)     23499 /usr/share/snmp/mibs/IP-MIB.txt 
D: fini      100644  1 (   0,   0)     26781
/usr/share/snmp/mibs/IP-FORWARD-MIB.txt 
D: fini      100644  1 (   0,   0)      6260
/usr/share/snmp/mibs/INET-ADDRESS-MIB.txt 
D: fini      100644  1 (   0,   0)     71691 /usr/share/snmp/mibs/IF-MIB.txt 
D: fini      100644  1 (   0,   0)      5066
/usr/share/snmp/mibs/IF-INVERTED-STACK-MIB.txt 
D: fini      100644  1 (   0,   0)     17649
/usr/share/snmp/mibs/IANAifType-MIB.txt 
D: fini      100644  1 (   0,   0)      4299
/usr/share/snmp/mibs/IANA-LANGUAGE-MIB.txt 
D: fini      100644  1 (   0,   0)      4015
/usr/share/snmp/mibs/IANA-ADDRESS-FAMILY-NUMBERS-MIB.txt 
D: fini      100644  1 (   0,   0)     10583
/usr/share/snmp/mibs/HOST-RESOURCES-TYPES.txt 
D: fini      100644  1 (   0,   0)     52544
/usr/share/snmp/mibs/HOST-RESOURCES-MIB.txt 
D: fini      100644  1 (   0,   0)      4660 /usr/share/snmp/mibs/HCNUM-TC.txt 
D: fini      100644  1 (   0,   0)     50054 /usr/share/snmp/mibs/EtherLike-MIB.txt 
D: fini      100644  1 (   0,   0)     64311
/usr/share/snmp/mibs/DISMAN-SCRIPT-MIB.txt 
D: fini      100644  1 (   0,   0)     24613
/usr/share/snmp/mibs/DISMAN-SCHEDULE-MIB.txt 
D: fini      100644  1 (   0,   0)     17455 /usr/share/snmp/mibs/AGENTX-MIB.txt 
D: fini      040755  2 (   0,   0)      4096 /usr/share/snmp/mibs 
D: fini      040755  2 (   0,   0)      4096 /usr/share/snmp 
D: fini      100644  1 (   0,   0)      2381 /usr/share/man/man8/snmptrapd.8.gz 
D: fini      100644  1 (   0,   0)      1350 /usr/share/man/man5/variables.5.gz 
D: fini      100644  1 (   0,   0)      1427
/usr/share/man/man5/snmptrapd.conf.5.gz 
D: fini      100644  1 (   0,   0)      8395 /usr/share/man/man5/snmpd.conf.5.gz 
D: fini      100644  1 (   0,   0)      1838 /usr/share/man/man5/snmp_config.5.gz 
D: fini      100644  1 (   0,   0)      1921 /usr/share/man/man5/snmp.conf.5.gz 
D: fini      100644  1 (   0,   0)      2064 /usr/share/man/man1/snmpd.1.gz 
D: fini      100755  1 (   0,   0)      1043 /usr/share/doc/ucd-snmp-4.2.5/passtest 
D: fini      100755  1 (   0,   0)      6684
/usr/share/doc/ucd-snmp-4.2.5/ipf-mod.pl 
D: fini      100644  1 (   0,   0)      3611 /usr/share/doc/ucd-snmp-4.2.5/TODO 
D: fini      100644  1 (   0,   0)     12119
/usr/share/doc/ucd-snmp-4.2.5/README.win32 
D: fini      100644  1 (   0,   0)     13542
/usr/share/doc/ucd-snmp-4.2.5/README.thread 
D: fini      100644  1 (   0,   0)      3919
/usr/share/doc/ucd-snmp-4.2.5/README.snmpv3 
D: fini      100644  1 (   0,   0)      7621
/usr/share/doc/ucd-snmp-4.2.5/README.mib2c 
D: fini      100644  1 (   0,   0)      1435
/usr/share/doc/ucd-snmp-4.2.5/README.hpux11 
D: fini      100644  1 (   0,   0)      2019
/usr/share/doc/ucd-snmp-4.2.5/README.cmu 
D: fini      100644  1 (   0,   0)      1974
/usr/share/doc/ucd-snmp-4.2.5/README.agentx 
D: fini      100644  1 (   0,   0)     12385 /usr/share/doc/ucd-snmp-4.2.5/README 
D: fini      100644  1 (   0,   0)      3636 /usr/share/doc/ucd-snmp-4.2.5/PORTING 
D: fini      100644  1 (   0,   0)     23646 /usr/share/doc/ucd-snmp-4.2.5/NEWS 
D: fini      100644  1 (   0,   0)    107357 /usr/share/doc/ucd-snmp-4.2.5/FAQ 
D: fini      100644  1 (   0,   0)     15691
/usr/share/doc/ucd-snmp-4.2.5/EXAMPLE.conf 
D: fini      100644  1 (   0,   0)    629445
/usr/share/doc/ucd-snmp-4.2.5/ChangeLog 
D: fini      100644  1 (   0,   0)      5264 /usr/share/doc/ucd-snmp-4.2.5/COPYING 
D: fini      100644  1 (   0,   0)     56111
/usr/share/doc/ucd-snmp-4.2.5/AGENT.txt 
D: fini      040755  2 (   0,   0)      4096 /usr/share/doc/ucd-snmp-4.2.5 
D: fini      100755  1 (   0,   0)     59798 /usr/sbin/snmptrapd 
D: fini      100755  1 (   0,   0)     46722 /usr/sbin/snmpd 
D: fini      100755  1 (   0,   0)    455270 /usr/lib/libucdmibs.so.0.4.2 
D: fini      120777  1 (   0,   0)        19 /usr/lib/libucdmibs.so.0 
D: fini      100755  1 (   0,   0)     59639 /usr/lib/libucdagent.so.0.4.2 
D: fini      120777  1 (   0,   0)        20 /usr/lib/libucdagent.so.0 
D: fini      100755  1 (   0,   0)    368596 /usr/lib/libsnmp.so.0.4.2 
D: fini      120777  1 (   0,   0)        16 /usr/lib/libsnmp.so.0 
D: fini      100755  1 (   0,   0)        70 /usr/bin/ucd5820stat 
D: fini      100644  1 (   0,   0)     14895 /etc/snmp/snmpd.conf 
D: fini      040755  2 (   0,   0)      4096 /etc/snmp 
D: fini      100755  1 (   0,   0)      1131 /etc/rc.d/init.d/snmptrapd 
D: fini      100755  1 (   0,   0)      1160 /etc/rc.d/init.d/snmpd 
D: fini      100644  1 (   0,   0)        52 /etc/logrotate.d/snmpd 
D:     erase: running %postun script(s) (if any)
+ /sbin/ldconfig
+ '[' 0 -ge 1 ']'
D:   ---        479 ucd-snmp-4.2.5-7.73.0
D: removing "ucd-snmp" from Name index.
D: removing 104 entries from Basenames index.
D: opening  db index       /var/lib/rpm/Group  mode=0x82
D: removing "System Environment/Daemons" from Group index.
D: removing 32 entries from Requirename index.
D: opening  db index       /var/lib/rpm/Providename  mode=0x82
D: removing 4 entries from Providename index.
D: opening  db index       /var/lib/rpm/Dirnames  mode=0x82
D: removing 19 entries from Dirnames index.
D: opening  db index       /var/lib/rpm/Requireversion  mode=0x82
D: removing 32 entries from Requireversion index.
D: opening  db index       /var/lib/rpm/Provideversion  mode=0x82
D: removing 4 entries from Provideversion index.
D: opening  db index       /var/lib/rpm/Installtid  mode=0x82
D: removing 1 entries from Installtid index.
D: opening  db index       /var/lib/rpm/Sigmd5  mode=0x82
D: removing 1 entries from Sigmd5 index.
D: opening  db index       /var/lib/rpm/Sha1header  mode=0x82
D: removing "0f3c41f8ef187d6ed6bf1c2d337a245211000e65" from Sha1header index.
D: opening  db index       /var/lib/rpm/Filemd5s  mode=0x82
D: removing 104 entries from Filemd5s index.
D:     erase: ucd-snmp-devel-4.2.5-7.73.0 has 98 files, test = 0
D:     erase: running %preun script(s) (if any)
D: fini      100644  1 (   0,   0)       625 /usr/share/man/man3/snmp_trap_api.3.gz 
D: fini      100644  1 (   0,   0)        55 /usr/share/man/man3/snmp_timeout.3.gz 
D: fini      100644  1 (   0,   0)        68
/usr/share/man/man3/snmp_set_save_descriptions.3.gz 
D: fini      100644  1 (   0,   0)        63
/usr/share/man/man3/snmp_set_mib_warnings.3.gz 
D: fini      100644  1 (   0,   0)        65
/usr/share/man/man3/snmp_sess_timeout.3.gz 
D: fini      100644  1 (   0,   0)        65
/usr/share/man/man3/snmp_sess_session.3.gz 
D: fini      100644  1 (   0,   0)        62
/usr/share/man/man3/snmp_sess_send.3.gz 
D: fini      100644  1 (   0,   0)        69
/usr/share/man/man3/snmp_sess_select_info.3.gz 
D: fini      100644  1 (   0,   0)        62
/usr/share/man/man3/snmp_sess_read.3.gz 
D: fini      100644  1 (   0,   0)        59
/usr/share/man/man3/snmp_sess_perror.3.gz 
D: fini      100644  1 (   0,   0)        62
/usr/share/man/man3/snmp_sess_open.3.gz 
D: fini      100644  1 (   0,   0)        62
/usr/share/man/man3/snmp_sess_init.3.gz 
D: fini      100644  1 (   0,   0)        63
/usr/share/man/man3/snmp_sess_error.3.gz 
D: fini      100644  1 (   0,   0)        63
/usr/share/man/man3/snmp_sess_close.3.gz 
D: fini      100644  1 (   0,   0)        68
/usr/share/man/man3/snmp_sess_async_send.3.gz 
D: fini      100644  1 (   0,   0)      2655 /usr/share/man/man3/snmp_sess_api.3.gz 
D: fini      100644  1 (   0,   0)        52 /usr/share/man/man3/snmp_send.3.gz 
D: fini      100644  1 (   0,   0)        59
/usr/share/man/man3/snmp_select_info.3.gz 
D: fini      100644  1 (   0,   0)        52 /usr/share/man/man3/snmp_read.3.gz 
D: fini      100644  1 (   0,   0)        54 /usr/share/man/man3/snmp_perror.3.gz 
D: fini      100644  1 (   0,   0)        52 /usr/share/man/man3/snmp_open.3.gz 
D: fini      100644  1 (   0,   0)        56 /usr/share/man/man3/snmp_free_pdu.3.gz 
D: fini      100644  1 (   0,   0)        53 /usr/share/man/man3/snmp_error.3.gz 
D: fini      100644  1 (   0,   0)        53 /usr/share/man/man3/snmp_close.3.gz 
D: fini      100644  1 (   0,   0)        61
/usr/share/man/man3/snmp_api_errstring.3.gz 
D: fini      100644  1 (   0,   0)      2709 /usr/share/man/man3/snmp_api.3.gz 
D: fini      100644  1 (   0,   0)      1111 /usr/share/man/man3/snmp_alarm.3.gz 
D: fini      100644  1 (   0,   0)      2104
/usr/share/man/man3/snmp_agent_api.3.gz 
D: fini      100644  1 (   0,   0)        54 /usr/share/man/man3/shutdown_mib.3.gz 
D: fini      100644  1 (   0,   0)        52 /usr/share/man/man3/read_objid.3.gz 
D: fini      100644  1 (   0,   0)        58
/usr/share/man/man3/read_module_node.3.gz 
D: fini      100644  1 (   0,   0)        53 /usr/share/man/man3/read_module.3.gz 
D: fini      100644  1 (   0,   0)        50 /usr/share/man/man3/read_mib.3.gz 
D: fini      100644  1 (   0,   0)      2663 /usr/share/man/man3/read_config.3.gz 
D: fini      100644  1 (   0,   0)        55 /usr/share/man/man3/read_all_mibs.3.gz 
D: fini      100644  1 ( 0,   0)        56
/usr/share/man/man3/print_variable.3.gz 
D: fini      100644  1 (   0,   0)        53 /usr/share/man/man3/print_value.3.gz 
D: fini      100644  1 (   0,   0)        53 /usr/share/man/man3/print_objid.3.gz 
D: fini      100644  1 (   0,   0)        51 /usr/share/man/man3/print_mib.3.gz 
D: fini      100644  1 (   0,   0)        59
/usr/share/man/man3/print_description.3.gz 
D: fini      100644  1 (   0,   0)      3501 /usr/share/man/man3/mib_api.3.gz 
D: fini      100644  1 (   0,   0)        60
/usr/share/man/man3/init_mib_internals.3.gz 
D: fini      100644  1 (   0,   0)        50 /usr/share/man/man3/init_mib.3.gz 
D: fini      100644  1 (   0,   0)        57
/usr/share/man/man3/get_module_node.3.gz 
D: fini      100644  1 (   0,   0)      2623 /usr/share/man/man3/default_store.3.gz 
D: fini      100644  1 (   0,   0)        64
/usr/share/man/man3/add_module_replacement.3.gz 
D: fini      100644  1 (   0,   0)        52 /usr/share/man/man3/add_mibdir.3.gz 
D: fini      120644  1 (   0,   0)        19 /usr/lib/libucdmibs.so 
D: fini      100644  1 (   0,   0)       720 /usr/lib/libucdmibs.la 
D: fini      100644  1 (   0,   0)    639172 /usr/lib/libucdmibs.a 
D: fini      120644  1 (   0,   0)        20 /usr/lib/libucdagent.so 
D: fini      100644  1 (   0,   0)       727 /usr/lib/libucdagent.la 
D: fini      100644  1 (   0,   0)     58660 /usr/lib/libucdagent.a 
D: fini      120644  1 (   0,   0)        16 /usr/lib/libsnmp.so 
D: fini      100644  1 (   0,   0)       699 /usr/lib/libsnmp.la 
D: fini      100644  1 (   0,   0)    474786 /usr/lib/libsnmp.a 
D: fini      100644  1 (   0,   0)        40 /usr/include/ucd-snmp/version.h 
D: fini      100644  1 (   0,   0)      3928 /usr/include/ucd-snmp/var_struct.h 
D: fini      100644  1 (   0,   0)      1722 /usr/include/ucd-snmp/util_funcs.h 
D: fini      100644  1 (   0,   0)      1108
/usr/include/ucd-snmp/ucd-snmp-includes.h 
D: fini      100644  1 (   0,   0)     33832
/usr/include/ucd-snmp/ucd-snmp-config.h 
D: fini      100644  1 (   0,   0)       436
/usr/include/ucd-snmp/ucd-snmp-agent-includes.h 
D: fini      100644  1 (   0,   0)       411 /usr/include/ucd-snmp/transform_oids.h 
D: fini      100644  1 (   0,   0)      3477 /usr/include/ucd-snmp/tools.h 
D: fini      100644  1 (   0,   0)      3305 /usr/include/ucd-snmp/system.h 
D: fini      100644  1 (   0,   0)       631 /usr/include/ucd-snmp/struct.h 
D: fini      100644  1 (   0,   0)      1674 /usr/include/ucd-snmp/snmpv3.h 
D: fini      100644  1 (   0,   0)      6155 /usr/include/ucd-snmp/snmpusm.h 
D: fini      100644  1 (   0,   0)      3159 /usr/include/ucd-snmp/snmp_vars.h 
D: fini      100644  1 (   0,   0)       265
/usr/include/ucd-snmp/snmp_parse_args.h 
D: fini      100644  1 (   0,   0)      1613 /usr/include/ucd-snmp/snmp_logging.h 
D: fini      100644  1 (   0,   0)      4381 /usr/include/ucd-snmp/snmp_impl.h 
D: fini      100644  1 (   0,   0)  8520 /usr/include/ucd-snmp/snmp_debug.h 
D: fini      100644  1 (   0,   0)      2641 /usr/include/ucd-snmp/snmp_client.h 
D: fini      100644  1 (   0,   0)     28640 /usr/include/ucd-snmp/snmp_api.h 
D: fini      100644  1 (   0,   0)      1165 /usr/include/ucd-snmp/snmp_alarm.h 
D: fini      100644  1 (   0,   0)      1481 /usr/include/ucd-snmp/snmp_agent.h 
D: fini      100644  1 (   0,   0)     11647 /usr/include/ucd-snmp/snmp.h 
D: fini      100644  1 (   0,   0)       604 /usr/include/ucd-snmp/snmp-tc.h 
D: fini      100644  1 (   0,   0)      2243 /usr/include/ucd-snmp/scapi.h 
D: fini      100644  1 (   0,   0)      3610 /usr/include/ucd-snmp/read_config.h 
D: fini      100644  1 (   0,   0)      8513 /usr/include/ucd-snmp/parse.h 
D: fini      100644  1 (   0,   0)       780 /usr/include/ucd-snmp/mibincl.h 
D: fini      100644  1 (   0,   0)      7717
/usr/include/ucd-snmp/mib_module_config.h 
D: fini      100644  1 (   0,   0)     22793 /usr/include/ucd-snmp/mib.h 
D: fini      100644  1 (   0,   0)      1371 /usr/include/ucd-snmp/keytools.h 
D: fini      100644  1 (   0,   0)       525 /usr/include/ucd-snmp/int64.h 
D: fini      100644  1 (   0,   0)      1896 /usr/include/ucd-snmp/header_complex.h 
D: fini      100644  1 (   0,   0)       759 /usr/include/ucd-snmp/ds_agent.h 
D: fini      100644  1 (   0,   0)      3741 /usr/include/ucd-snmp/default_store.h 
D: fini      100644  1 (   0,   0)      1252 /usr/include/ucd-snmp/callback.h 
D: fini      100644  1 (   0,   0)       368 /usr/include/ucd-snmp/auto_nlist.h 
D: fini      100644  1 (   0,   0)      8861 /usr/include/ucd-snmp/asn1.h 
D: fini      100644  1 (   0,   0)      1341 /usr/include/ucd-snmp/agent_trap.h 
D: fini      100644  1 (   0,   0)      4175 /usr/include/ucd-snmp/agent_registry.h 
D: fini      100644  1 (   0,   0)       648
/usr/include/ucd-snmp/agent_read_config.h 
D: fini      100644  1 (   0,   0)      1005 /usr/include/ucd-snmp/agent_index.h 
D: fini      040755  2 (   0,   0)      4096 /usr/include/ucd-snmp 
D:     erase: running %postun script(s) (if any)
D:   ---        480 ucd-snmp-devel-4.2.5-7.73.0
D: removing "ucd-snmp-devel" from Name index.
D: removing 98 entries from Basenames index.
D: removing "Development/Libraries" from Group index.
D: removing 3 entries from Requirename index.
D: removing "ucd-snmp-devel" from Providename index.
D: removing 4 entries from Dirnames index.
D: removing 3 entries from Requireversion index.
D: removing "4.2.5-7.73.0" from Provideversion index.
D: removing 1 entries from Installtid index.
D: removing 1 entries from Sigmd5 index.
D: removing "a32a53f3c20f0c48fd1e04e80f01d940683bcafd" from Sha1header index.
D: removing 98 entries from Filemd5s index.
D: closed   db index       /var/lib/rpm/Filemd5s
D: verified db index       /var/lib/rpm/Filemd5s
D: closed   db index       /var/lib/rpm/Sha1header
D: verified db index       /var/lib/rpm/Sha1header
D: closed   db index       /var/lib/rpm/Sigmd5
D: verified db index       /var/lib/rpm/Sigmd5
D: closed   db index       /var/lib/rpm/Installtid
D: verified db index       /var/lib/rpm/Installtid
D: closed   db index       /var/lib/rpm/Provideversion
D: verified db index       /var/lib/rpm/Provideversion
D: closed   db index       /var/lib/rpm/Requireversion
D: verified db index       /var/lib/rpm/Requireversion
D: closed   db index       /var/lib/rpm/Dirnames
D: verified db index       /var/lib/rpm/Dirnames
D: closed   db index       /var/lib/rpm/Triggername
D: verified db index       /var/lib/rpm/Triggername
D: closed   db index       /var/lib/rpm/Providename
D: verified db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Requirename
D: verified db index       /var/lib/rpm/Requirename
D: closed   db index       /var/lib/rpm/Group
D: verified db index       /var/lib/rpm/Group
D: closed   db index       /var/lib/rpm/Basenames
D: verified db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: verified db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: removed  db environment /var/lib/rpm/Packages
D: verified db index       /var/lib/rpm/Packages

Expected Results:  The package ucd-snmp-devel should be removed before the
package ucd-snmp.

Additional info:

The issue that I have run into is that the preuninstall script of the dependent
package, cannot be run if they make calls to the dependency that has already
been removed.

Comment 1 Jeff Johnson 2002-10-25 18:54:37 UTC
I believe this is fixed in rpm-4.1. If not,
then there's a missing dependency in one of the
ucd-snmp packages.

Comment 2 Nick 2002-10-25 22:16:12 UTC
Tested it with rpm version 4.1 on redhat 8.0 with net-snmp and net-snmp-devel,
same results. Also got the same results with xmms and xmms-devel.



Comment 3 Jeff Johnson 2002-10-25 22:39:30 UTC
OK, I just ran the net-snmp case as an example with rpm-4.2
(same behavior as rpm-4.1), and I see the packages being
reordered according to the dependencies on erase for the the triple
	net-snmp net-snmp-devel net-snmp-utils
and its reverse. That's all that rpm
can do, order according to supplied dependencies,
anything else is a packaging error, and should
be reported against the package, not rpm.

FWIW, I don't see any failures, or necessity to
remove net-snmp-devel before net-snmp. In fact, I
don't see any errors in teh output you have reported.

Why do you expect net-snmp-devel to be removed before
net-snmp from rpm?

Comment 4 Nick 2002-10-28 22:04:40 UTC
True, in most cases I have not seen any issues with this.

I'll give you an example of my specific problem. I have a tomcat rpm and a jdk
rpm. The tomcat rpm depends on the jdk rpm. When erasing tomcat, in the preun
section, I issue a stop command. However this will not work if the jdk is
removed first.

I can workaround this, I wasn't sure if it was something I should bring up.


Note You need to log in before you can comment on or make changes to this bug.